Composite Searching
Composite search in Australia enables clients to automate the selection of multiple services, processing verification inputs through successive data sources and returning responses from each selected service.
Example 1 - API Requests and Responses with following four services configured:
Australia Citizens Australia Consumer Australia Credit Bureau Australia Residential
- AuthorizationstringrequiredDescription
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- genderstringDescription
- dateOfBirthstringrequiredDescription
- addressElement1stringDescription
- addressElement3stringDescription
- addressElement4stringDescription
- addressElement5stringDescription
- identityVariablesobjectDescription
- phoneNostringDescription
- emailstringDescription
- consentObtainedobjectrequiredDescription
- Australia Credit BureaubooleanrequiredDescription
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement4boolean
- addressElement5boolean
- dateOfBirthboolean
- emailboolean
- firstNameboolean
- landlineNoboolean
- lastNameboolean
- middleNameboolean
- phoneNoboolean
- returnedDataobjectDescription
- categorystringDescription
- sourcestringDescription
- remarksarrayDescription
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQyNTQ4MTA0LCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU1OTY0ODUsImV4cCI6MTc0MjU3NjkwNCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.5FkRgSQh5dZpTpVvoH2QW7lcZWZL_LMio7qxcobNNFETee2fPQR5oO1LV93C7lmvuqlnpt16vlWv4l0No2fGKQ' \
--data-raw '{
"countryCode": "AU",
"service": [
"Australia Citizens",
"Australia Residential",
"Australia Credit Bureau",
"Australia Residential"
],
"clientReference": "TestComposite_0001",
"firstName": "Aloysius",
"middleName": "Jefferson",
"lastName": "Pasco",
"gender": "Male",
"dateOfBirth": "1946-11-01",
"addressElement1": "30 Plane Tree Green",
"addressElement3": "Forrestfield",
"addressElement4": "WA",
"addressElement5": "6058",
"identityVariables": {
"phoneNo": "0487787402",
"landlineNo": "0734086754",
"email": "[email protected]"
},
"consentObtained": {
"Australia Credit Bureau": true
}
}'{
"countryCode": "Australia",
"clientReference": "TestComposite_0001",
"reportingReference": "DZ-24be04c6-645c-407c-9d35-ac2fa20356b5",
"matchStatus": "Full Match 2+2 Verification",
"searchErrorMessage": "",
"safeHarbour": true,
"searchStatus": "Successful",
"serviceResponses": {
"Australia Citizens": {
"status": 1,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M1",
"nameMatchScore": "1.000",
"addressMatchScore": "1.000",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"addressElement5": true,
"dateOfBirth": true,
"email": true,
"firstName": true,
"gender": true,
"landlineNo": false,
"lastName": true,
"phoneNo": true
},
"returnedData": {
"altAddressMatchScore": "0",
"altNameMatchScore": "A1",
"dpId": "63233056",
"source": "DZ6"
}
},
"Australia Credit Bureau": {
"status": 0,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M1",
"nameMatchScore": "1.000",
"addressMatchScore": "1.000",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"addressElement5": true,
"dateOfBirth": true,
"firstName": true,
"lastName": true,
"middleName": true
},
"returnedData": {}
},
"Australia Residential": {
"status": 1,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M1",
"nameMatchScore": "1.000",
"addressMatchScore": "1.000",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"addressElement5": true,
"dateOfBirth": true,
"email": true,
"firstName": true,
"gender": true,
"landlineNo": false,
"lastName": true,
"phoneNo": true
},
"returnedData": {
"altAddressMatchScore": "0",
"altNameMatchScore": "A1",
"dpId": "63233056",
"source": "DZ1"
}
}
},
"remarks": []
}{
"message": "Ain't no cake like that."
}Example 2 - API Requests and Responses with following four services configured:
Australia Passport Australia Medicare Card Australia Citizens Australia Consumer
- AuthorizationstringrequiredDescription
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- dateOfBirthstringrequiredDescription
- addressElement1stringDescription
- addressElement3stringDescription
- addressElement4stringDescription
- addressElement5stringDescription
- identityVariablesobjectrequiredDescription
- passportNostringDescription
- medicareCardTypestringrequired
- medicareExpirystringrequired
- medicareCardNostringrequired
- medicareReferenceNointegerrequired
- phoneNostring
- emailstring
- medicareNameLine1string
- medicareNameLine2string
- medicareNameLine3string
- medicareNameLine4string
- consentObtainedobjectrequiredDescription
- Australia PassportbooleanrequiredDescription
- Australia Medicare Cardstring
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement4boolean
- addressElement5boolean
- dateOfBirthboolean
- documentNoboolean
- emailboolean
- firstNameboolean
- landlineNoboolean
- lastNameboolean
- middleNameboolean
- phoneNoboolean
- returnedDataobjectDescription
- categorystringDescription
- sourcestringDescription
- remarksarrayDescription
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMtbVZlMl9KRFhMcnkzaEhQWEN4TyJ9.eyJ1aWQiOiIzMDMiLCJvaWQiOiI2MiIsImlzcyI6Imh0dHBzOi8vZGF0YXpvby10ZXN0LnVzLmF1dGgwLmNvbS8iLCJzdWIiOiJhdXRoMHwzMDMiLCJhdWQiOiJodHRwczovL2t5Yy10ZXN0LmRhdGF6b28uY29tIiwiaWF0IjoxNzQ4ODIwMTM2LCJleHAiOjE3NDg4NTYxMzYsImd0eSI6InBhc3N3b3JkIiwiYXpwIjoiSWxVdURJNTF1QXpuVnE2VGVoRXAyOXBrbEhBSjFtYnkifQ.OsFI7E0ICd3SDqxgNZkjrAxhPcifuwedNOahFmQPJPKrJyeqOAOwjXkw2izZt6t1Cj5VrKIkOjNe8vBphbOrvFtA73FQGnk_EGiMpzUsGKo_OOgmFoqTSbSNphuM2MLlAGXK0x78-YGtsOVZciyCdlDNM8wMoSvg_vFxwBe2-OOV9ICNcsD6VRdx21FP2K5bvpdLHlfHzeXJmeB7rOBnrJ7gro0ThTfqPbR-gf77nkTXHPdloLYO9L0vDTKAGQl6PCWc-5sg64-jk2tpXg85-p7qmy4zCyibQHzmN1OT4xcrkDQ4xKCDjJ_NHlOysnTO_Bq1GOrwskcaGdPoxAw2LA' \
--data-raw '{
"countryCode": "AU",
"service": [
"Australia Passport",
"Australia Medicare Card",
"Australia Citizens",
"Australia Consumer"
],
"clientReference": "TestSandboxComposite_0001",
"firstName": "Jane",
"middleName": "",
"lastName": "Citizen",
"dateOfBirth": "1984-07-06",
"addressElement1": "52 HAPPYVALLY RD",
"addressElement3": "IRONBARK",
"addressElement4": "VIC",
"addressElement5": "3551",
"consentObtained": {
"Australia Passport": true,
"Australia Medicare Card": true
},
"identityVariables": {
"passportNo": "PA0940443",
"medicareCardType": "G",
"medicareExpiry": "2022-12-01",
"medicareCardNo": "3512743581",
"medicareReferenceNo": 1,
"medicareNameLine1": "JANE CITIZEN",
"phoneNo": "0411111111",
"email": "[email protected]"
}
}'{
"countryCode": "Australia",
"clientReference": "TestSandboxComposite_0001",
"reportingReference": "DZ-5719f031-bc90-4106-b67c-ee5de321f5fa",
"matchStatus": "Full Match 2+2 Verification",
"searchErrorMessage": "",
"safeHarbour": true,
"searchStatus": "Successful",
"serviceResponses": {
"Australia Citizens": {
"status": 2,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": false,
"safeHarbourScore": "none",
"nameMatchScore": "N/A",
"addressMatchScore": "N/A",
"verifications": {},
"returnedData": {}
},
"Australia Consumer": {
"status": 2,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": false,
"safeHarbourScore": "none",
"nameMatchScore": "1.000",
"addressMatchScore": "0.100",
"verifications": {
"addressElement1": false,
"addressElement3": false,
"addressElement4": true,
"addressElement5": false,
"dateOfBirth": false,
"firstName": true,
"lastName": true,
"phoneNo": false
},
"returnedData": {}
},
"Australia Government Identity Documents 2": {
"status": 0,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "L2",
"nameMatchScore": "1.000",
"addressMatchScore": "N/A",
"verifications": {
"dateOfBirth": true,
"documentNo": true,
"firstName": true,
"lastName": true
},
"returnedData": {}
},
"Australia Government Identity Documents 3": {
"status": 0,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "L2",
"nameMatchScore": "1.000",
"addressMatchScore": "N/A",
"verifications": {
"dateOfBirth": true,
"documentNo": true,
"fullName": true
},
"returnedData": {}
}
},
"remarks": []
}{
"message": "Ain't no cake like that."
}Service Responses Overview
Each service returns its own self-contained response block, ensuring modular and source-specific verification results. Consumers of this API should handle varying response structures dynamically based on the requested services.
Service Responses Element
The serviceResponses object in the API response contains verification results from one or more data sources, structured under their respective service names. Each service (e.g., "Australia Consumer", "Australia Credit Bureau" from Example 1) returns a distinct response block with service-specific data.
Structure and Behavior:
- Services may return data from a single source or multiple sources in a sequenced API call.
- The structure of each service response varies, with fields such as status, identityVerified, and safeHarbourScore differing between services.
- The verifications block contains service-specific boolean indicators for individual verification checks (e.g., addressElement1, dateOfBirth, firstName).
- The returnedData block provides metadata (if applicable).